petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBinarySynchronizedRead

Reads from a binary file.

### Synopsis

    PetscErrorCode  PetscBinarySynchronizedRead(MPI_Comm comm,int fd,void *p,PetscInt n,PetscDataType type)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the MPI communicator Many br
| fd | - the file Many br
| n | - the number of items to read Many br
| type | - the type of items to read (PETSC_INT, PETSC_DOUBLE or PETSC_SCALAR) Many br

### Output Parameters

p -the buffer Many br

Many br

### Notes

Does a PetscBinaryRead() followed by an MPI_Bcast() Many br

PetscBinarySynchronizedRead() uses byte swapping to work on all machines. Many brIntegers are stored on the file as 32 long, regardless of whether Many brthey are stored in the machine as 32 or 64, this means the same Many brbinary file may be read on any machine. Many br

### See Also

PetscBinaryWrite(), PetscBinaryOpen(), PetscBinaryClose(), PetscBinaryRead(), PetscBinarySynchronizedWrite(),
PetscBinarySynchronizedSeek() Many br

Level:developer
Location:src/sys/fileio/sysio.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages